---
title: WebGLRenderingContext.clearDepth()
slug: Web/API/WebGLRenderingContext/clearDepth
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.clearDepth()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies the clear value for the depth buffer.</p>

<p>This specifies what depth value to use when calling the {{domxref("WebGLRenderingContext.clear", "clear()")}} method. The value is clamped between 0 and 1.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.clearDepth(<var>depth</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>depth</code></dt>
 <dd>A {{domxref("GLclampf")}} specifying the depth value used when the depth buffer is cleared. Default value: 1.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.clearDepth(0.5);
</pre>

<p>To get the current depth clear value, query the <code>DEPTH_CLEAR_VALUE</code> constant.</p>

<pre class="brush: js">gl.getParameter(gl.DEPTH_CLEAR_VALUE);
// 0.5</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "clearDepth")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glClearDepthf.xml", "glClearDepthf")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.clearDepth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.clear()")}}</li>
 <li>{{domxref("WebGLRenderingContext.clearColor()")}}</li>
 <li>{{domxref("WebGLRenderingContext.clearStencil()")}}</li>
</ul>
